Page MenuHomePhabricator

Change logo and favicon for arbcom-de wiki
Closed, ResolvedPublic

Description

Per request of the German Arbcom please enable $wgAllowSiteCSSOnRestrictedPages on arbcom-de wiki

The logo of the arbcom-de wiki should be set to https://upload.wikimedia.org/wikipedia/commons/thumb/5/5b/Wikipedia_Arbitration_Committee_Logo_de.svg/135px-Wikipedia_Arbitration_Committee_Logo_de.svg.png

Details

Related Gerrit Patches:
operations/mediawiki-config : masterLogo and favicon changes for arbcom_dewiki
operations/mediawiki-config : masterEnable $wgAllowSiteCSSOnRestrictedPages on arbcom-de

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2017, 9:37 AM
Man77 added a subscriber: Man77.Jun 3 2017, 10:13 AM
Ghilt added a subscriber: Ghilt.Jun 3 2017, 10:56 AM
Framawiki triaged this task as Medium priority.
Framawiki moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 357022 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Enable $wgAllowSiteCSSOnRestrictedPages on arbcom-de

https://gerrit.wikimedia.org/r/357022

Framawiki added a comment.EditedJun 3 2017, 7:52 PM

The deployment is planned on Monday Morning SWAT.

MaxSem added a subscriber: MaxSem.

I'm not confident about swatting this without security approval, adding to appropriate project.

Framawiki removed Framawiki as the assignee of this task.Jun 7 2017, 4:34 PM
Framawiki added a subscriber: Framawiki.

What's the usecase for needing the feature on arbcom-de?

To expand, the increased risk is rather small (At least in my opinion. Some people disagree with me about how "big" the increased risk is. See comments on T72672 for background), but I would still be hesitant on a high security wiki without first knowing the rationale for needing the feature.

Man77 added a comment.Jun 30 2017, 7:11 PM

to be honest, without reading through the task you mentioned, I have no clue in how far risk management could plays a role in this detail of our wiki, but the reason for this request is simple: it is strange and a little confusing to see another logo on the log-in page as compared to all the other pages of the wiki.

So what you really want is to set the logo in a non-hacky way? Then just request so, we'd rather adjust the logo than touch security-sensitive settings.

Yes it is, maybe you need to adjust the size.
Please set it as favicon too.

Legoktm renamed this task from Enable $wgAllowSiteCSSOnRestrictedPages on arbcom-de to Change logo on arbcom-de wiki.Jul 4 2017, 11:23 PM
Legoktm updated the task description. (Show Details)

Change 357022 abandoned by Legoktm:
Enable $wgAllowSiteCSSOnRestrictedPages on arbcom-de

Reason:
T166947 has clarified that it's just about the logo

https://gerrit.wikimedia.org/r/357022

MarcoAurelio lowered the priority of this task from Medium to Low.

Changing the logo is fine. I can take care of that.

MarcoAurelio renamed this task from Change logo on arbcom-de wiki to Change logo and favicon for arbcom-de wiki.Jul 9 2017, 8:50 AM

Change 364237 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Logo and favicon changes for arbcom_dewiki

https://gerrit.wikimedia.org/r/364237

Change 364237 merged by jenkins-bot:
[operations/mediawiki-config@master] Logo and favicon changes for arbcom_dewiki

https://gerrit.wikimedia.org/r/364237

Mentioned in SAL (#wikimedia-operations) [2017-07-10T18:57:26Z] <niharika29@tin> Synchronized static/: Logo and favicon changes for arbcom_dewiki (T166947) (duration: 00m 20s)

Mentioned in SAL (#wikimedia-operations) [2017-07-10T18:58:36Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Logo and favicon changes for arbcom_dewiki (T166947) (duration: 00m 20s)

MarcoAurelio closed this task as Resolved.Jul 10 2017, 7:03 PM
MarcoAurelio moved this task from ready to cabinet on the User-MarcoAurelio board.

As far as I could check, given that arbcom-de is a private wiki, the logo and favicon files looked good to me. Please re-open if you've found any issues. Please note that depending on server caching issues, a delay may exist until the updated logos display to you, and that can differ between users. Thanks.

Man77 added a comment.Jul 14 2017, 6:59 PM

seems fine from the inside ;) thanks a lot

@Man77 You're welcome. I'm glad that it is working. Best regards.